curl --request GET \
--url https://api.example.com/api/v1/runs/{id}/settings \
--header 'Authorization: Bearer <token>'{
"project": {
"name": "<string>",
"description": "<string>",
"metadata": {}
},
"workflow": {
"name": "<string>",
"description": "<string>",
"graph": "<string>",
"metadata": {}
},
"run": {
"goal": {
"type": "inline",
"value": "<string>"
},
"working_dir": "<string>",
"metadata": {},
"inputs": {},
"model": {
"provider": "<string>",
"name": "<string>",
"fallbacks": [
"<string>"
]
},
"git": {
"author": {
"name": "<string>",
"email": "<string>"
}
},
"prepare": {
"commands": [
"<string>"
],
"timeout_ms": 123
},
"execution": {
"mode": "normal",
"approval": "prompt"
},
"checkpoint": {
"exclude_globs": [
"<string>"
]
},
"clone": {
"enabled": true
},
"run_branch": {
"enabled": true,
"push": true
},
"meta_branch": {
"enabled": true,
"push": true
},
"sandbox": {
"provider": "local",
"preserve": true,
"stop_on_terminal": true,
"devcontainer": true,
"env": {},
"docker": {
"image": "<string>",
"network_mode": "<string>",
"memory_limit": 123,
"cpu_quota": 123,
"env_vars": {}
},
"daytona": {
"auto_stop_interval": 123,
"labels": {},
"snapshot": {
"name": "<string>",
"cpu": 123,
"memory_gb": 123,
"disk_gb": 123,
"dockerfile": {
"type": "inline",
"value": "<string>"
}
},
"network": "block"
}
},
"notifications": {},
"interviews": {
"provider": "<string>",
"slack": {
"channel": "<string>"
}
},
"agent": {
"permissions": "read-only",
"mcps": {}
},
"hooks": [
{
"name": "<string>",
"event": "run_start",
"command": "<string>",
"matcher": "<string>",
"blocking": true,
"timeout_ms": 123,
"sandbox": true,
"type": "command",
"url": "<string>",
"headers": {},
"allowed_env_vars": [
"<string>"
],
"tls": "verify",
"prompt": "<string>",
"model": "<string>",
"max_tool_rounds": 123
}
],
"scm": {
"provider": "<string>",
"owner": "<string>",
"repository": "<string>",
"github": {}
},
"pull_request": {
"enabled": true,
"draft": true,
"auto_merge": true,
"merge_strategy": "merge"
},
"artifacts": {
"include": [
"<string>"
]
},
"integrations": {
"github": {
"permissions": {}
}
}
}
}Returns the persisted dense WorkflowSettings snapshot used to launch this run.
curl --request GET \
--url https://api.example.com/api/v1/runs/{id}/settings \
--header 'Authorization: Bearer <token>'{
"project": {
"name": "<string>",
"description": "<string>",
"metadata": {}
},
"workflow": {
"name": "<string>",
"description": "<string>",
"graph": "<string>",
"metadata": {}
},
"run": {
"goal": {
"type": "inline",
"value": "<string>"
},
"working_dir": "<string>",
"metadata": {},
"inputs": {},
"model": {
"provider": "<string>",
"name": "<string>",
"fallbacks": [
"<string>"
]
},
"git": {
"author": {
"name": "<string>",
"email": "<string>"
}
},
"prepare": {
"commands": [
"<string>"
],
"timeout_ms": 123
},
"execution": {
"mode": "normal",
"approval": "prompt"
},
"checkpoint": {
"exclude_globs": [
"<string>"
]
},
"clone": {
"enabled": true
},
"run_branch": {
"enabled": true,
"push": true
},
"meta_branch": {
"enabled": true,
"push": true
},
"sandbox": {
"provider": "local",
"preserve": true,
"stop_on_terminal": true,
"devcontainer": true,
"env": {},
"docker": {
"image": "<string>",
"network_mode": "<string>",
"memory_limit": 123,
"cpu_quota": 123,
"env_vars": {}
},
"daytona": {
"auto_stop_interval": 123,
"labels": {},
"snapshot": {
"name": "<string>",
"cpu": 123,
"memory_gb": 123,
"disk_gb": 123,
"dockerfile": {
"type": "inline",
"value": "<string>"
}
},
"network": "block"
}
},
"notifications": {},
"interviews": {
"provider": "<string>",
"slack": {
"channel": "<string>"
}
},
"agent": {
"permissions": "read-only",
"mcps": {}
},
"hooks": [
{
"name": "<string>",
"event": "run_start",
"command": "<string>",
"matcher": "<string>",
"blocking": true,
"timeout_ms": 123,
"sandbox": true,
"type": "command",
"url": "<string>",
"headers": {},
"allowed_env_vars": [
"<string>"
],
"tls": "verify",
"prompt": "<string>",
"model": "<string>",
"max_tool_rounds": 123
}
],
"scm": {
"provider": "<string>",
"owner": "<string>",
"repository": "<string>",
"github": {}
},
"pull_request": {
"enabled": true,
"draft": true,
"auto_merge": true,
"merge_strategy": "merge"
},
"artifacts": {
"include": [
"<string>"
]
},
"integrations": {
"github": {
"permissions": {}
}
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.fabro.sh/llms.txt
Use this file to discover all available pages before exploring further.
Raw dev token passed as Authorization: Bearer fabro_dev_... when server.auth.methods includes dev-token.
Unique run identifier (ULID).